#include "confEdge.h"

/*
 *
 * confEdge functions
 *
 */
confEdge::confEdge(int from, int to, int maxLimit, int upperCapacity)
{
  m_from = from;
  m_to = to;
  m_maxLimit = maxLimit;
  m_upperCapacity = upperCapacity;
}

confEdge::confEdge(const confEdge& s)
{
  m_from = s.m_from;
  m_to = s.m_to;
  m_maxLimit = s.m_maxLimit;
  m_upperCapacity = s.m_upperCapacity;
}

const confEdge& confEdge::operator=(const confEdge& s)
{
  m_from = s.m_from;
  m_to = s.m_to;
  m_upperCapacity = s.m_upperCapacity;
  m_maxLimit = s.m_maxLimit;
  return *this;
}

void confEdge::setUpperCapacity(int cap)
{
  m_upperCapacity = cap;
  return;
}

void confEdge::setMaxLimit(int ml)
{
  m_maxLimit = ml;
  return;
}

int confEdge::getFrom() const
{
  return m_from;
}

int confEdge::getTo() const
{
  return m_to;
}

int confEdge::getUpperCapacity() const
{
  return m_upperCapacity;
}

int confEdge::getMaxLimit() const
{
  return m_maxLimit;
}

