#ifndef _CONF_EDGE_H_
#define _CONF_EDGE_H_

class confEdge
{
public:
  confEdge(int from, int to, int maxLimit, int upperCapacity);
  confEdge(const confEdge& s);
  const confEdge& operator=(const confEdge& s);

  void setUpperCapacity(int cap);
  void setMaxLimit(int ml);

  /* CONSTANT MEMBER FUNCTIONS for confEdge */
  int getFrom() const;
  int getTo() const;
  int getUpperCapacity() const;
  int getMaxLimit() const;

private:
  int m_from, m_to, m_upperCapacity, m_maxLimit;
};

#endif
