#!/umr/bin/perl5
open(INDATA, "$ARGV[0]") or die "could not open file:  $!";
open(OUTDATA, ">$ARGV[0].simple") or die "could not open file:  $!";

# read in the file
while ($line = <INDATA>)
{

  # read in until the output for vertex line is read
  while (!($line=~m/output for vertex /) && !(eof INDATA))
    {
      $line=<INDATA>;
    }

  # remove the new line
  if (!(eof INDATA))
    {
      chomp($line);

      # split the line to get the current vertex number
      split / /,$line;
      $vertex = @_[-1];

      # read in the rows of data that represent the flow
      $line = <INDATA>;
       chomp($line);
      while ( !("$line" eq "") )
        {
          @flowInfo = split /\s/, $line;
          if ($flowInfo[1] == $vertex)
            {
              print OUTDATA "$line\n";
            }

            # read in the next line
           $line = <INDATA>;
           chomp($line);
         }
    }
} # end read file

close INDATA;
close OUTDATA;
