#include <GL/glut.h>
#include <stdlib.h>

void display(void)
{
	/* clear all pixels */
	glClear(GL_COLOR_BUFFER_BIT);

	/* white polygon */
	glColor3f( 1.0, 1.0, 1.0);
	glBegin( GL_POLYGON);
	glVertex3f( 0.25, 0.25, 0.0);
	glVertex3f( 0.75, 0.25, 0.0);
	glVertex3f( 0.75, 0.75, 0.0);
	glVertex3f( 0.25, 0.75, 0.0);
	glEnd();
	/* send the commands to OpenGL by flushing the buffers */
	glFlush();
}

void init(void)
{
	/* set clearing (background) color */
	glClearColor(0.0, 0.0, 0.0, 0.0);
	/* init viewing values */
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(0.0, 1.0, 0.0, 1.0, -1.0, 1.0);
}

int main( int argc, char** argv)
{
	glutInit( &argc, argv);
	glutInitDisplayMode( GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize( 250, 250);
	glutInitWindowPosition( 100, 100);
	glutCreateWindow("Hellow");
	init(); // once sent OpenGL commands
	// will be called when the window needs to be displayed
	glutDisplayFunc(display);
	glutMainLoop();
	return 0;
}

