// glImage2dBitmap.h: interface for the glImage2dBitmap class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLIMAGE2DBITMAP_H__0565659D_944F_43AC_A44B_8B662C92E90F__INCLUDED_)
#define AFX_GLIMAGE2DBITMAP_H__0565659D_944F_43AC_A44B_8B662C92E90F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "glImage2d.h"

class glImage2dBitmap : public glImage2d  
{
public:
	glImage2dBitmap();
	virtual ~glImage2dBitmap();

	virtual void Resize(const WORD w,const WORD h);
	virtual void Zoom(const GLfloat x,const GLfloat y,
		              const GLfloat w,const GLfloat h );
	virtual void Draw(const GLfloat x,const GLfloat y);

protected:
	virtual bool Setup(BYTE *image,const WORD w,const WORD h);
	void DeleteImages();
	WORD FindImage(const WORD w, const WORD h,
		           const WORD left, const WORD right,
				   const WORD top, const WORD bottom );

	// Used for image storage
	struct GLI2DB_IMAGE
	{
		BYTE *image;
		WORD w,h;
		// Sub-image values(from original)
		WORD subleft,subright,
			 subtop,subbottom;
	};
	WORD m_current;
	GLI2DB_IMAGE *m_gen; // index 0 is the original, always
	WORD m_gensize;
};

#endif // !defined(AFX_GLIMAGE2DBITMAP_H__0565659D_944F_43AC_A44B_8B662C92E90F__INCLUDED_)
