#include<iostream.h>
#include <unistd.h>
#include"www.form.h"

char *behaviorList[] = {"default", "toggle line", "recenter"};

int main(int argc, char* argv[])
{
	String ImageFile = "opengl_wrap";     // file to call to display image
	String ImageSize = "WIDTH=640 HEIGHT=480";
		// size that browser will display image
	Entry web;
	//sleep(45);
	web.Load("power=");
	bool clicked = false;
	String tmp;
	int i;
	int x,y;
	String ImageLink = (String)(argv[0]);

// read cookie info
	String zoom = web.GetCookie("zoom");
	String behavior = web.GetCookie("behavior");
	String ImageParams = "?";
	String zoomParam;
	String behaviorParam;

	ImageLink = ImageLink + "?";
// use passed in info if it differs
	tmp = web.GetEntry("behavior");
	if (tmp != "") behavior = tmp;
	tmp = web.GetEntry("zoom");
	if (tmp != "") zoom = tmp;

	if ((zoom != "") && (zoom != "0"))
	{
		zoomParam += "zoom=";
		zoomParam += zoom;
		zoomParam += "&";
	}
	if ((behavior != "") && (behavior != "0"))
	{
		behaviorParam += "behavior=";
		behaviorParam += behavior;
		behaviorParam += "&";
	}
	else behaviorParam = "behavior=1&";
	ImageParams = ImageParams + zoomParam + behaviorParam;

	tmp = web.GetEntry("click");
	if (tmp == "1")
	{  // user clicked on region!
		clicked = true;
		web.GetXY(x,y);
		// add to clicklist
		ImageParams = ImageParams + "click=1?";
		ImageParams = ImageParams + String(x);
		ImageParams = ImageParams + (String)(",");
		ImageParams = ImageParams + String(y);
	}
	else // page not clicked
	{
		ImageParams = ImageParams + "click=0";
	}
	ImageLink += zoomParam + behaviorParam + "click=1";

	if (web.GetEntry("deselect") != "")
	{  // they clicked on the deselect all lines button
		ImageParams = "?deselect=1";
	}
	else if (web.GetEntry("Run-Back-End") != "")
	{  // they clicked on the deselect all lines button
		ImageParams = "?run-back-end=1";
	}
	else if (web.GetEntry("reset") != "")
	{  // they clicked on the reset button
		ImageParams = "?reset=1&zoom=1&behavior=1";
	}

	// header for page
	cout << "Pragma: no-cache\n";
	cout << "Expires: Thursday, 21-Feb-97 12:00:00 GMT\n";
	cout << "Content-Type: text/html; charset=ISO-8859-1" << endl;
	cout << endl;

	// create web page
	cout << "<html><head><title>Power Grid Simulation</title>"
	     << endl;
	cout << "<A HREF = \"" << ImageLink << "\">"
		"<IMG SRC = \"" << (ImageFile + ImageParams) << "\" "
		<< ImageSize << " ISMAP></IMG></A>\n";
	cout << "<script language=\"javaScript\">\n"
		"<!--\n"
		"function loadPage(list) {\n"
		"        location.href = list.options[list.selectedIndex].value;\n"
		"}\n"
		"// -->\n"
		"</script>\n";
	cout << "</head>";
//		"<h1>Power Grid Simulation</h1><hr />";
	cout << "<form name=\"params\" action=\"" << argv[0] << "\" method=\"GET\">\n"
		"Zoom level (1 = zoom out most): "
		"<select name=\"zoom\" size=\"1\" onchange=\"loadPage(this)\">\n";

	for (i = 1; i < 10; i++)
		cout <<	"<option"
		     << ( (zoom == String(i)) ? " selected " : " ")
		     << "value=\""<<argv[0]<<"?"
		     << behaviorParam << "zoom=" << i
		     << "\">level " << i << endl;
	
	cout << "</select>&nbsp;";
//<br />\n";

cout << "Clicking on image will: " << endl;
cout << "<select name=\"behavior\" size=\"1\" onchange=\"loadPage(this)\">\n";

	for (i = 1; i < 3; i++)
		cout <<	"<option"
		     << ((behavior == String(i))?" selected ":" ")
		     << "value=\""<<argv[0]<<"?"
		     << zoomParam << "behavior=" << i
		     << "\">" << behaviorList[i] << endl;
	
	cout << "</select>&nbsp;";
//<br />\n
	cout << "</form>";
	cout << "<form name=\"buttons\" action=\"" << argv[0] << "?"
	     << behaviorParam << zoomParam << "\" method=\"GET\">\n";
	cout << "<input type=\"submit\" name=\"deselect\" "
	              "value=\"deselect all lines\" />" << endl;
	cout << "<input type=\"submit\" name=\"Run-Back-End\" "
	              "value=\"Run Back-End\" />" << endl;
	cout << "<input type=\"submit\" name=\"reset\" "
	              "value=\"reset\" />" << endl;
	cout << "</form><hr /></body></html>" << endl;
//	cout << "<PRE>" << endl;
//	if (clicked) cout << "click occured at (" << x << ", " << y << ")\n";
//	web.DebugPrint();
//	system("set");
//	cout << "</PRE>" << endl;
	return(0);
}
