#ifndef _DISPLAY_H
#define _DISPLAY_H 1
void display();
void render_scene(GLenum mode,bool showlabels=true);
void reshape(int w, int h);
void mouse(int button, int state, int x, int y);
void mouse_motion( int x, int y);
void enable_all_lines();
void disable_all_lines();
void recalc_disabled();
void disable( float x, float y);
void pan_window( int oldx, int oldy, int curx, int cury);
int read_config_info( int num, long * data);
int write_config_info( int *num, long **data);
void zoom_window( int oldx, int oldy, int curx, int cury);

extern int infomode;
extern bool flag3d;
extern bool nodrawbackground;
extern void (*print_string)(char *);
extern int DB_count;
void mm_display();
void mm_reshape(int w, int h);
void mm_mouse(int button, int state, int x, int y);
void mm_mouse_motion( int x, int y);
#endif /* _DISPLAY_H */
