#include <GL/glut.h>
#include "master.h"
#include <stdlib.h>
#include <stdio.h>
#include "window.h"
#include "bar.h"
#include "button.h"
#include "substuff.h"

guiWindow *Main;
guiSubWindow *swMain,*swScrBar1, *swScrBar2;
guiBar *swMenuBar;
guiButton *Button1, *Button2;

int swMenuBar_Height = 30;
color_t MenuBar_BG = {0.08f, 0.79f, 0.83f, 0.0f},
         Button_BG = {0.22f,0.78f, 0.77f, 0.0f},
         Button_DR = {0.0f, 0.24f, 0.24f},
         Button_LT = {0.67f, 1.0f, 1.0f, 0.0f};


void Quit(void)
{
  exit(0);
}

void Quit_Draw(int w, int h, int border)
{
  char string[] = "Quit";
  char *use;

  use=string;
  glPushMatrix();
  glTranslatef(border*2, border*2+5, 0.0f);
  glScalef(0.18f, 0.09f, 1.0f);
  while (*use)
    glutStrokeCharacter(GLUT_STROKE_ROMAN, *use++);
  glPopMatrix();
}


void KB1(unsigned char key, int x, int y)
{
  exit(0);
}

void SP1(int key, int x, int y)
{
  exit(0);
}

int FullWidth(int w, int h)
{
  return w;
}

int swMain_y(int w, int h) {
  return swMenuBar_Height - 1;
}
int swMain_h(int w, int h) {
  return h - swMenuBar_Height;
}

int main(int argc, char **argv)
{
  Main = new guiWindow();
  swMain = new guiSubWindow();
  swMenuBar = new guiBar();
  Button1 = new guiButton();
  Button2 = new guiButton();
  /*   swScrBar1 = new guiSubWindow();
       swScrBar2 = new guiSubWindow();
   */ 
  glApplication.Init(&argc, argv, 25);

  Main->set_hHint(500);
  Main->set_wHint(500);
  Main->Create("Main1");

  swMain->set_hHint(swMain_h);
  swMain->set_wHint(FullWidth);
  swMain->set_yHint(swMain_y);
  swMain->set_xHint(0);
  swMain->setbg_Mouse(MainDraw_Mouse);
  swMain->setbg_Motion(MainDraw_Motion);
  swMain->setbg_Display(MainDraw_Display);
  swMain->setbg_Idle(MainDraw_Idle);

  swMenuBar->set_hHint(swMenuBar_Height);
  swMenuBar->set_wHint(FullWidth);
  swMenuBar->set_xHint(0);
  swMenuBar->set_yHint(0);
  swMenuBar->setbg_Color(MenuBar_BG);
  swMenuBar->setbg_Keyboard(KB1);
  swMenuBar->setbg_Special(SP1);
  Button1->setbg_Color(Button_BG);
  Button1->setdk_Color(Button_DR);
  Button1->sethl_Color(Button_LT);
  Button1->set_wHint(50);
  Button1->setFace(Quit_Draw);
  Button1->setAction(Quit);
  
  Button2->setbg_Color(Button_BG);
  Button2->setdk_Color(Button_DR);
  Button2->sethl_Color(Button_LT);
  Button2->set_wHint(50);
  Main->Pack(swMain);
  Main->Pack(swMenuBar);
  swMenuBar->Pack(Button1);
  swMenuBar->Pack(0);
  swMenuBar->Pack(Button2);

  glApplication.Start();

  return 0;
}
