#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <winsock2.h>
#include <stdlib.h>

int main(int argc, char **argv);

void onexit(void)
{
   WSACleanup();
   return;
}

int WINAPI WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,
                   LPSTR lpCmdLine,int nCmdShow)
{
	char *argv[128];
	int argc=0,retval;
	char progname[]="PowerGrid.exe";
   bool quote=false,skipws=false;
   WORD wVersionRequested;
   WSADATA wsaData;

    // Have to parse the command line myself
   argv[0]=progname;
   argv[1]=lpCmdLine;

   // Skip initial whitespace
   while(*argv[1]==' ')
      argv[1]++;

   if(*argv[1]!='\0')
   {
      argv[argc=2]=argv[1];
      while(*argv[argc]!=0)
      {
         if(quote)
         {
            if(*argv[argc]=='\"')
            {
               *argv[argc]='\0';
               quote=false;
               skipws=true;
            }
         }
         else
         {
            if(skipws)
            {
               if(*argv[argc]!=' ')
               {
                  argv[argc+1]=argv[argc];
                  --argv[++argc];
                  skipws=false;
               }
            }
            else if(*argv[argc]==' ')
            {
               *argv[argc]='\0';
               skipws=true;
            }
            else if(*argv[argc]=='\"')
            {
               argv[argc-1]++;
               quote=true;
            }
         }
         argv[argc]++;
      }
   }

   // Init winsock
   wVersionRequested=MAKEWORD(2,0);
   if(WSAStartup(wVersionRequested,&wsaData)!=0)
      return -1;

   atexit(onexit);
 
   retval=main(argc,argv);

   onexit();

   return retval;
}