#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include <math.h>

void readData(char* fileName)
{
  FILE* f;
  char line[1024], dum[10];
  int i, j, flow, max;

  /* attempt to open the file */
  if ((f=fopen(fileName, "r")) == 0)
    {
      fprintf(stderr, "File %s could not be opened", fileName);
      exit(EXIT_FAILURE);
    }

  while ( 0 != fgets( line, 1024, f))
    {
      switch (line[0])
	{
	case 'f':
	  sscanf(line, "%s%d%d%d%d", dum, &i, &j, &flow, &max);
	  if (abs(flow) > abs(max))
	    {
	      fprintf(stderr, "Bad Things:  %d  %d  %d  %d\n", i, j, flow, max);
	    }
	  break;
	}
    } /* end while */

  fclose(f);
}

int main(int argc, char** argv)
{
  if (argc < 2)
    {
      fprintf(stderr, "Usage:  %s fileName", argv[0]);
      exit(1);
    }

  readData(argv[1]);

  printf("done\n");

  return 0;
}
