/* sendFlowData.h - Definition file for sendFlowData class that is used 
 *                  by the Max Flow program to track the amount of flow and 
 *                  socket number for each push.
 */

#ifndef _SENDFLOWDATA_H_
#define _SENDFLOWDATA_H_
#include "edge.h"

struct sendFlowData
{

  sendFlowData(/*in*/ int soc=-1, /*in*/ int delta=0, edge* ce=0);

  int m_soc;
  double m_delta;
  edge* m_ce;
};
#endif
