/*  vertexHelpers.h - Definition, and implementation, file for the 
 *     functions and structs that are needed to  use the vertex class,
 *     but cannot be a part of the vertex class.
 */

#ifndef _VERTEX_HELPERS_H_
#define _VERTEX_HELPERS_H_

#include "vertex.h"
#include "stdcmfthrd.h"
//#include <map>
/*  #include <vector> */

#define PROTOCOL "tcp"

//struct sourceData
//{
//  bool connectedToIt;
//  double ods;
//};

//typedef map<int, sourceData> MSD;

struct sendFlowStruct
{
  vertex* p;
  edge* sfsCE;
  double amount;
  int distance;
};

void* sendFlowIntermediary(void* arg)
{
   // Create a link to the sendFlowStruct
   sendFlowStruct*  pSFS = (sendFlowStruct*) arg;

   // extract address of vertex object
   vertex* pv = pSFS->p;

   // call function
   (pv->sendFlow)(pSFS->sfsCE, pSFS->amount);

   // release the memory of pSFS
   delete pSFS;

   // This thread is done
   return 0;
}

#endif
