// glImage2d.h: interface for the glImage2d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLIMAGE2D_H__C7A16050_FEED_4D8E_86BC_D4A6824F4375__INCLUDED_)
#define AFX_GLIMAGE2D_H__C7A16050_FEED_4D8E_86BC_D4A6824F4375__INCLUDED_

#include <GL/glut.h>
#include <GL/gl.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __JGL
#define __JGL
typedef unsigned char BYTE;
const BYTE MAXBYTE=0xFF;
typedef unsigned short WORD;
const WORD MAXWORD=0xFFFF;
typedef unsigned long DWORD;
const DWORD MAXDWORD=0xFFFFFFFF;
#endif

#define PURE =0

class glImage2d  
{
public:
	glImage2d();
	virtual ~glImage2d();

	void Load(const char * const fname);
	virtual void Resize(const WORD w,const WORD h);
	virtual void Zoom(const GLfloat x,const GLfloat y,
		              const GLfloat w,const GLfloat h ) PURE;
	virtual void Draw(const GLfloat x,const GLfloat y) PURE;

protected:
	BYTE * readJPEGImage(const char * const fname,WORD &w,WORD &h);
	BYTE * readPNGImage(const char * const fname,WORD &w,WORD &h);
	WORD m_height;
	WORD m_width;
	virtual bool Setup(BYTE *image,const WORD w,const WORD h) PURE;

private:
	glImage2d(const glImage2d &copy) { } // Don't allow copies
};

#endif // !defined(AFX_GLIMAGE2D_H__C7A16050_FEED_4D8E_86BC_D4A6824F4375__INCLUDED_)
