// glImage2dTexture.h: interface for the glImage2dTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLIMAGE2DTEXTURE_H__E83107C3_2B06_4FA2_AD3F_265CAD72485F__INCLUDED_)
#define AFX_GLIMAGE2DTEXTURE_H__E83107C3_2B06_4FA2_AD3F_265CAD72485F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "glImage2d.h"

class glImage2dTexture : public glImage2d  
{
public:
	glImage2dTexture();
	virtual ~glImage2dTexture();

	virtual void Resize(GLfloat w,GLfloat h);
	virtual void Zoom(const GLfloat x,const GLfloat y,
		              const GLfloat w,const GLfloat h );
	virtual void Draw(const GLfloat x,const GLfloat y);
protected:
	WORD m_pixelheight;
	WORD m_pixelwidth;
	GLuint m_texid;
	GLfloat m_texleft,
		    m_texright,
			m_textop,
			m_texbottom;
	virtual bool Setup(BYTE *image,const WORD w,const WORD h);
};

#endif // !defined(AFX_GLIMAGE2DTEXTURE_H__E83107C3_2B06_4FA2_AD3F_265CAD72485F__INCLUDED_)
