#ifndef _MOUSE_H
#define _MOUSE_H

enum MBUTTONS { B_NONE=0,B_LEFT=1,B_MIDDLE=2,B_RIGHT=4 };

typedef void DRAGFUNC(const int b,const int dx,const int dy);
DRAGFUNC *SetDragCallback(const int b,DRAGFUNC *callback);

typedef void CLICKFUNC(const int b,const int x,const int y);
CLICKFUNC *SetClickCallback(const int b,CLICKFUNC *callback);

void Mouse_Init();

#endif

