#include<iostream.h>
#include"image.h"

void displayImage(webInfo);
void processdata(webInfo&);

/*
int main()
{
	webInfo bob;
	bob.reset = bob.deselectall = false;
	bob.data = 0;
	bob.numElems = 0;
	bob.runBackEnd = false;

	readInfoFromPage(bob);
	processdata(bob);
	displayHeader(bob);
	displayImage(bob);
}
*/

void processdata(webInfo& nfo)
{
	long *list = 0;
	if (nfo.numElems == 0)
	{
		delete[]nfo.data;
		nfo.data = new long[1];
		nfo.numElems = 1;
		nfo.data[0] = 1;
	}
	else
	{
		list = new long[nfo.numElems + 1];
		for (int i=0; i < nfo.numElems; i++)
		{
			list[i] = nfo.data[i];
		}
		delete[]nfo.data;
		nfo.data = list;
		nfo.data[nfo.numElems++] = -1 * nfo.numElems;
	}
}

void readInfoFromPage(webInfo &infoStuff)
{
	int i;
	Entry web;
	char *tmpChrs = 0;
	web.Load("power=");

	String tmp = web.GetCookie("size");
	if (tmp != "") infoStuff.numElems = tmp.Integer();
	if (infoStuff.numElems == 0) infoStuff.data = 0;
	else infoStuff.data = new long[infoStuff.numElems];
	String data = web.GetCookie("data");
	if (data != "")
	{
		tmpChrs = strdup(data.chars());
		infoStuff.data[0] = ((String)strtok(tmpChrs, ",")).Integer();
		for(i=1; i < infoStuff.numElems; i++)
		{  // read each token in to the array
			infoStuff.data[i] = ((String)strtok(0, ",")).Integer();
		}
		delete[]tmpChrs;
		tmpChrs=0;
	}
	tmp = web.GetCookie("zoom");
	if (tmp == "") infoStuff.zoomLevel = 1;
	else infoStuff.zoomLevel = tmp.Integer();

	tmp = web.GetEntry("zoom");
	if (tmp != "") infoStuff.zoomLevel = tmp.Integer();

	tmp = web.GetCookie("behavior");
	if (tmp == "") infoStuff.action = (behavior)(1);
	else infoStuff.action = (behavior)(tmp.Integer());
	tmp = web.GetEntry("behavior");
	if (tmp != "") infoStuff.action = (behavior)(tmp.Integer());

	if (web.GetEntry("run-back-end") == "1") infoStuff.runBackEnd = true;
	if (web.GetEntry("reset") == "1") infoStuff.reset = true;
	if (web.GetEntry("deselect") == "1") infoStuff.deselectall = true;
	if (web.GetEntry("click") == "1")
	{
		web.GetXY(infoStuff.x, infoStuff.y);
	}
	else
	{
		infoStuff.x = infoStuff.y = -1;
	}
}

void displayHeader(const webInfo infoStuff, char *imgType="gif")
{
	char *outdata = webify(infoStuff);
        cout << "Set-Cookie: power=behavior=" << (int)infoStuff.action
	     << "&zoom=" << infoStuff.zoomLevel
	     << "&size=" << infoStuff.numElems;
	if (outdata) cout << "&data=" << outdata;
	cout << endl;

//cout << "Date: Mon, 23 Apr 2001 16:30:43 GMT" << endl;
	cout << "Pragma: no-cache\n";
	cout << "Expires: Thursday, 21-Feb-97 12:00:00 GMT\n";
	cout << "Content-Type: image/" << imgType << endl << endl;
	delete[]outdata;
}

char *webify(webInfo infoStuff)
{
	if (infoStuff.numElems == 0) return(0);
	int dataSize = 10 * (infoStuff.numElems+3);  // lets be safe about size
	int i, j, tmp;
	char *data = new char[dataSize];
	char *oldData = 0;
	data[0] = 0;
	i=j=0;
	tmp=0;
	while (i < infoStuff.numElems)
	{
		tmp = sprintf(data + j, "%ld,", infoStuff.data[i]);
		j+=tmp;
		if (dataSize - j < 20)
		{
			oldData = data;
			dataSize = ( dataSize / (i-1) + 1) * (infoStuff.numElems+1);
			data = new char[dataSize];
			strcpy(data,oldData);
			delete[]oldData;
			oldData = 0;
		}
		i++;
	}
	return(data);
}

void displayImage(const webInfo infoStuff)
{
	system("cat clickhere.gif");
	system("set > /tmp/cjs.out");
}

/*
to be in the former image.sh
parser and generate header

struct (x,y) pulldownmenu "deselect/select/movecenter" 

				auto update and keep new val as default
				pass cookie info

"zoom info" (mapquesT) (int)

x=y=-1 if not clicked


recalculate everything button

reset/deselect all lines buttons

configuration file selection menu (send reset also)

*/

