// problem on (near) line 176 for % replacement, $23x becomes #x3 (no "")
#ifndef WWW_FORM_H
#define WWW_FORM_H

#include <iostream.h>
#include <stdio.h>
#include <math.h>
#include "kdwString.h"

char HexCharsToChar(const char []);
const int DEBUG = 0;

//////////////////////////////////////////////////////////////////////////////////
//
// Class Entry
//
//////////////////////////////////////////////////////////////////////////////////
class Entry 
{
public:
	Entry();
	void Load(char* match = 0);
	int LoadVars(String InList, String Label[], String Value[]);
	void DebugPrint() const;
        void GetXY(int &x, int &y) const;
	String GetEntry(String A) const;
	String GetCookie(String Query) const;
	String GetName(int i) const;
	String GetValue(int i) const;
//	String List() const;
	int GetNum_Entries() const {return Num_Entries;}

	static const size_t CAPACITY = 200;
	int Num_Entries;
	int Num_Cookies;
	String Name[CAPACITY];
	String Val[CAPACITY];
	String CName[CAPACITY];  // for cookies
	String CVal[CAPACITY];   // for cookies
private:

};
#endif /* WWW_FORM_H */

