#ifndef _GLIMAGE2DTEXTURE_H
#define _GLIMAGE2DTEXTURE_H

#include <GL/glut.h>
#include <GL/gl.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __JGL
#define __JGL
typedef unsigned char BYTE;
//const BYTE MAXBYTE=0xFF;
typedef unsigned short WORD;
//const WORD MAXWORD=0xFFFF;
typedef unsigned long DWORD;
//const DWORD MAXDWORD=0xFFFFFFFF;
#endif

class glTexture
{
        static GLuint m_currenttexid;

   public:
	glTexture();
	glTexture(const glTexture &copy);
	~glTexture();

        bool Load(const char * const filename);
        void Select()
           { glBindTexture(GL_TEXTURE_2D, m_texid);
             m_currenttexid=m_texid;               }
        void Quad(GLfloat x1,GLfloat y1,GLfloat s1,GLfloat t1,
                  GLfloat x2,GLfloat y2,GLfloat s2,GLfloat t2,
                  GLfloat x3,GLfloat y3,GLfloat s3,GLfloat t3,
                  GLfloat x4,GLfloat y4,GLfloat s4,GLfloat t4 );

   protected:
	BYTE * readJPEGImage(const char * const fname,WORD &w,WORD &h);
	BYTE * readPNGImage(const char * const fname,WORD &w,WORD &h);

	void MakeTexture(BYTE *image,const WORD w,const WORD h);

	WORD m_height;
	WORD m_width;
	GLuint m_texid;
        int *m_refs;
};

#endif

