#include <iostream.h>
#include <stdlib.h>
#include "config.h"

int main(int argc, char ** argv)
{
	if( argc != 2)
	{
		cerr << "Usage: " << argv[0] << " configfilename\n";
		return -1;
	}

	if( config_info.ReadFile(argv[1]) )
	{
		cerr << "Error reading config file aborting\n";
		return -1;
	}

	cout << config_info.WriteData() << endl;

	cout << "dump of internal data follows " << endl;

	cout << config_info;

	return 0;
}
