#include "toggle.h"

guiToggle::guiToggle() {
   action = 0;
   Prevstate = -1;
}

void guiToggle::Mouse(int button, int state, int x, int y) {
  Push(); 
  if (button == GLUT_LEFT_BUTTON){
      if (state == GLUT_DOWN){
         Prevstate = State;
         State = !State;
      }
      else {
         /*
         ** in order to action the pointer must be in the
         ** dimensions of the window
         */
         if ((Prevstate >= 0) && 
             (x>=0) && (x<=Width) &&
             (y>=0) && (y<=Height) &&
             (action))
         {
               (*action)(State);
         }
         else if ( (x<0) || (x>Width) || (y<0) || (y>Height))
	 {
	   State = Prevstate;
	 } 
         Prevstate = -1;
      }
   }
   else {
      if (Prevstate >= 0)
      {
         State = Prevstate;
      }
   }
   /*need this to make animation*/
#ifdef WIN32
   Display();
#else
   Touch();
#endif

   Pop();
} 

void guiToggle::forceToggle(){
	if (action) {
		if(glApplication.isStarted()) 
			Push();
		State = !State;
		(*action)(State);
		if(glApplication.isStarted()) 
				Pop();
	}
}
