/*********************************************************************
** status.h
**--------------------------------------------------------------------
** This file contains the declaration for the statusbar wiget
*********************************************************************/
#ifndef _STATUS_H_
#define _STATUS_H_

#include "master.h"
#include "control.h"
#include "stdio.h"
#include "stdlib.h"

class guiStatusBar:public guiControl
{
	public:

		guiStatusBar();
		~guiStatusBar();
	
		/*overridden fuctions WTIH Push()/Pop()*/
		virtual void Display();
	
		/*
		** set functions
		*/
		void setString(int length, char *string);
		void setBorderWidth(int value);
		void setdk_Color(color_t value);
		void sethl_Color(color_t value);
		void settx_Color(color_t value);
	private:
			void DrawBorder(float eff_Height, float eff_Width,
			                float startx, float starty, int reversed);
	      void DrawText();
			int BorderWidth;
			color_t Dark;
			color_t Light;
			int Text_Length;
			color_t Text_Color;
			char *Text;
};


inline void guiStatusBar::setBorderWidth(int value)
{
	if(value >= 0)
	{
		BorderWidth = value;
	}
	else
	{
		BorderWidth = value;
	}

};

inline void guiStatusBar::setdk_Color(color_t value) {
   Dark = value;
};

inline void guiStatusBar::sethl_Color(color_t value) {
   Light = value;
};

inline void guiStatusBar::settx_Color(color_t value) {
	Text_Color = value;
}
#endif
