/********************************************************************
** window.h
**------------------------------------------------------------------
** Window are VERY simple containers.
** However for guiWindow, to "Start the Window" you must call
**    Create("Window Title")
** SubWindow does nothing, but add some framework for supporting
**    drawn borders.
*******************************************************************/
#ifndef _WINDOW_H_
#define _WINDOW_H_

#include "master.h"
#include "container.h"

class guiWindow:public guiContainer{
 public:
     ~guiWindow();

    void Create(char name[]);

};

class guiSubWindow:public guiContainer{
  public:
     guiSubWindow() { border = 2; };
     ~guiSubWindow() { };
     void setBorder(int value) {
       if (value < 1)
         border = value * -1;
       else
         border = value;
     };
 private: 
    int border;
};

#endif
